<?php
   include('session.php');
   include('connect.php');
   include('logging.php');
   $companyID = $_SESSION['companyselect'];


if ($_SERVER["REQUEST_METHOD"] == "GET") {

  $payrollid = $_GET['payrollID'];

  $sqlViewPayroll = "SELECT *
  FROM periods
  WHERE periodid = $payrollid;";

    $yearOfPeriod = "0000";
  $monthOfPeriod = "00";
  $periodDateData = "";

  $resultPayroll = mysqli_query($db,$sqlViewPayroll);

  $countPayroll = mysqli_num_rows($resultPayroll);

  if ($countPayroll != 0) {

      while ($rowPayrollData = mysqli_fetch_array($resultPayroll)) {

        $dateextract = strtotime($rowPayrollData['endDate']);
        $yearOfPeriod = date("Y",$dateextract);
        $monthOfPeriod = date("m",$dateextract);
        $periodDateData = $yearOfPeriod . $monthOfPeriod;

      }

  }

  if(isset($_GET['updated'])) {

    $updated = $_GET['updated'];

  }

    $sqlView = "SELECT 
          employees.employeename AS employeename,
          employees.employeefileno AS employeefileno,
          employees.employeesurname AS employeesurname,
          employees.employeenic AS employeenic,
          employees.employee_fulltime_boolean AS employeefulltime,
          payrollbasicdetails.totalPackage AS totalPackage,
          payrollbasicdetails.travellingAmt AS travellingAmt,
          payrollbasicdetails.payeEmp AS payeEmp,
          payrollbasicdetails.employerLEVY AS employerLEVY,
          payrollbasicdetails.basicSal AS basicSal
          FROM payrollbasicdetails
          LEFT JOIN employees
          ON payrollbasicdetails.employeeid = employees.employeeid
          WHERE payrollbasicdetails.payrollid = $payrollid";

$sqlBonusPAYE = "SELECT
employees.employeename AS employeename,
employees.employeesurname AS employeesurname,
employees.employeenic AS employeenic,
employees.employee_fulltime_boolean AS employeefulltime,
employees.employee_contribution_code AS employeeccode,
bonuspayouts.bonusPayeAmount AS bonusPayeAmount,
bonuspayouts.bonusAmount AS bonusamount
FROM bonuspayouts
LEFT JOIN employees
ON bonuspayouts.employeeid = employees.employeeid
WHERE bonuspayouts.bonusPayrollid = $payrollid";

  
    $result = mysqli_query($db,$sqlBonusPAYE);

    $count = mysqli_num_rows($result);

    if ($count != 0) {

    	//The name of the CSV file that will be downloaded by the user.
		$fileName = 'paye-bonus-return' . '-' . $periodDateData . '.csv';
		 
		//Set the Content-Type and Content-Disposition headers.
		header('Content-Type: application/excel');
		header('Content-Disposition: attachment; filename="' . $fileName . '"');

		$data = array();

    array_push($data, array("MNS","PAYE","V1.0"));

    array_push($data, array("Employer Registration Number","Employer Business Registration Number","Employer Name","Tax Period","Telephone Number","Mobile Number","Name of Declarant","Email Address"));

		$sqlViewCompanyFile = "SELECT *
			FROM companyfile
      WHERE companyid = $companyID";
  
	    $resultCompanyFile = mysqli_query($db,$sqlViewCompanyFile);

	    while ($rowCompanyFile = mysqli_fetch_array($resultCompanyFile)) {

	    	array_push($data, array($rowCompanyFile['companyERN'],$rowCompanyFile['companyBRN'],$rowCompanyFile['companyName'],$periodDateData,$rowCompanyFile['accountantPNumber'],$rowCompanyFile['accountantMNumber'],$rowCompanyFile['accountantName'],$rowCompanyFile['accountantEmail']));
	     }

       array_push($data, array("Employee ID","Surname of Employee","Other Names of Employee","Emoluments excluding travelling","PAYE Amount","Solidarity Levy Amount","Full Time Employment"));

    	 while ($rowpayroll = mysqli_fetch_array($result)) { 

    	 	array_push($data, 
          array(
            $rowpayroll['employeenic'], 
            $rowpayroll['employeesurname'], 
            $rowpayroll['employeename'],
            number_format($rowpayroll['bonusamount'], 0, '.', ','),
            number_format($rowpayroll['bonusPayeAmount'], 0, '.', ','),
            0,
            $rowpayroll['employeefulltime']));
    	 }

    	 
		//Open up a PHP output stream using the function fopen.
		$fp = fopen('php://output', 'w');
		 
		//Loop through the array containing our CSV data.
		foreach ($data as $row) {
		    //fputcsv formats the array into a CSV format.
		    //It then writes the result to our output stream.
		    fputcsv($fp, $row);
		}
		 
		//Close the file handle.
		fclose($fp);
    }


 




} else {
	echo "Payroll not specified..";
}

?>